> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/benchmarking/revenue-dimension

> Return detailed revenue benchmarking data for a selected dimension; ad_unit_type, geo, region, device, channel, partner, creative_size



## OpenAPI

````yaml /openapi.json get /v1/report/insight/benchmarking/revenue-dimension
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/benchmarking/revenue-dimension:
    get:
      tags:
        - Reporting/Insights Hub/Benchmarking
        - public
      summary: /report/insight/benchmarking/revenue-dimension
      description: >-
        Return detailed revenue benchmarking data for a selected dimension;
        ad_unit_type, geo, region, device, channel, partner, creative_size
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: true
          schema:
            deprecated: false
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: dimension
          in: query
          description: The dimension to report on
          required: false
          schema:
            type: string
            enum:
              - ad_unit_type
              - geo
              - region
              - device
              - channel
              - partner
              - creative_size
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
        - name: exclude_pubs
          in: query
          description: >-
            Excludes publisher data from the Network and Cohort for users
            organisation
          required: false
          schema:
            type: string
            enum:
              - 'yes'
              - 'no'
            default: 'yes'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      data:
                        type: object
                        properties:
                          unknown:
                            type: object
                            properties:
                              gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                            required:
                              - gross_revenue
                              - pap_gross_revenue
                              - saas_gross_revenue
                              - net_revenue
                              - pap_net_revenue
                              - saas_net_revenue
                              - impressions
                              - pap_impressions
                              - saas_impressions
                          desktop:
                            type: object
                            properties:
                              gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                            required:
                              - gross_revenue
                              - pap_gross_revenue
                              - saas_gross_revenue
                              - net_revenue
                              - pap_net_revenue
                              - saas_net_revenue
                              - impressions
                              - pap_impressions
                              - saas_impressions
                          mobile:
                            type: object
                            properties:
                              gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                            required:
                              - gross_revenue
                              - pap_gross_revenue
                              - saas_gross_revenue
                              - net_revenue
                              - pap_net_revenue
                              - saas_net_revenue
                              - impressions
                              - pap_impressions
                              - saas_impressions
                          tablet:
                            type: object
                            properties:
                              gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_gross_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: number
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_net_revenue:
                                type: object
                                properties:
                                  publisher:
                                    type: number
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              pap_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                              saas_impressions:
                                type: object
                                properties:
                                  publisher:
                                    type: integer
                                  cohort:
                                    type: integer
                                  network:
                                    type: number
                                required:
                                  - publisher
                                  - cohort
                                  - network
                            required:
                              - gross_revenue
                              - pap_gross_revenue
                              - saas_gross_revenue
                              - net_revenue
                              - pap_net_revenue
                              - saas_net_revenue
                              - impressions
                              - pap_impressions
                              - saas_impressions
                        required:
                          - unknown
                          - desktop
                          - mobile
                          - tablet
                    required:
                      - currency
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  data:
                    unknown:
                      gross_revenue:
                        publisher: 0.039289
                        cohort: 0.004551
                        network: 0.013278370370370373
                      pap_gross_revenue:
                        publisher: 0.039289
                        cohort: 0.004551
                        network: 0.011305555555555555
                      saas_gross_revenue:
                        publisher: 0
                        cohort: 0
                        network: 0.001972814814814815
                      net_revenue:
                        publisher: 0.028371849999999997
                        cohort: 0.0036408
                        network: 0.010944561111111114
                      pap_net_revenue:
                        publisher: 0.02837185
                        cohort: 0.0036408
                        network: 0.009069524074074076
                      saas_net_revenue:
                        publisher: 0
                        cohort: 0
                        network: 0.001875037037037037
                      impressions:
                        publisher: 69
                        cohort: 12
                        network: 30.62962962962963
                      pap_impressions:
                        publisher: 69
                        cohort: 12
                        network: 26.51851851851852
                      saas_impressions:
                        publisher: 0
                        cohort: 0
                        network: 4.111111111111111
                    desktop:
                      gross_revenue:
                        publisher: 1.885009
                        cohort: 52.31915733333333
                        network: 12.196254037313427
                      pap_gross_revenue:
                        publisher: 1.296492
                        cohort: 52.31915733333333
                        network: 9.875520820895517
                      saas_gross_revenue:
                        publisher: 0.588517
                        cohort: 0
                        network: 2.3207332164179104
                      net_revenue:
                        publisher: 1.6280351999999998
                        cohort: 41.85532586666667
                        network: 10.303870711940306
                      pap_net_revenue:
                        publisher: 1.1020182
                        cohort: 41.85532586666667
                        network: 8.002024883582092
                      saas_net_revenue:
                        publisher: 0.526017
                        cohort: 0
                        network: 2.301845828358209
                      impressions:
                        publisher: 4538
                        cohort: 96682.66666666667
                        network: 16055.074626865671
                      pap_impressions:
                        publisher: 3288
                        cohort: 96682.66666666667
                        network: 13731.626865671642
                      saas_impressions:
                        publisher: 1250
                        cohort: 0
                        network: 2323.4477611940297
                    mobile:
                      gross_revenue:
                        publisher: 645.515208
                        cohort: 153.76477333333332
                        network: 122.31781869767445
                      pap_gross_revenue:
                        publisher: 642.04476
                        cohort: 153.76477333333332
                        network: 108.02172349612407
                      saas_gross_revenue:
                        publisher: 3.470448
                        cohort: 0
                        network: 14.296095201550388
                      net_revenue:
                        publisher: 547.8683388
                        cohort: 123.01181866666666
                        network: 100.63414959186045
                      pap_net_revenue:
                        publisher: 544.5459408
                        cohort: 123.01181866666667
                        network: 86.50431663837207
                      saas_net_revenue:
                        publisher: 3.3223979999999997
                        cohort: 0
                        network: 14.129832953488373
                      impressions:
                        publisher: 939048
                        cohort: 319766
                        network: 157835.21705426357
                      pap_impressions:
                        publisher: 936087
                        cohort: 319766
                        network: 139417.07751937985
                      saas_impressions:
                        publisher: 2961
                        cohort: 0
                        network: 18418.13953488372
                    tablet:
                      gross_revenue:
                        publisher: 66.256375
                        cohort: 9.847947333333332
                        network: 6.362265796460176
                      pap_gross_revenue:
                        publisher: 66.140049
                        cohort: 9.847947333333332
                        network: 4.838805070796459
                      saas_gross_revenue:
                        publisher: 0.116326
                        cohort: 0
                        network: 1.5234607256637167
                      net_revenue:
                        publisher: 56.1276744
                        cohort: 7.878357866666666
                        network: 5.394922928318586
                      pap_net_revenue:
                        publisher: 56.0211984
                        cohort: 7.878357866666666
                        network: 3.882148839823006
                      saas_net_revenue:
                        publisher: 0.10647599999999999
                        cohort: 0
                        network: 1.5127740884955754
                      impressions:
                        publisher: 130858
                        cohort: 13026
                        network: 6203.088495575221
                      pap_impressions:
                        publisher: 130661
                        cohort: 13026
                        network: 4857.95575221239
                      saas_impressions:
                        publisher: 197
                        cohort: 0
                        network: 1345.132743362832
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````